## nspark 1.7.8B2%2Bgit20210317.cb30779

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.4)
project (nspark C)

SET(NSPARK_LIB_SOURCE arcfs.c compress.c crc.c date.c error.c garble.c io.c misc.c pack.c store.c)

if (WIN32)
	add_definitions (-DWINNT)
	add_definitions (-D_CRT_SECURE_NO_WARNINGS)
	SET(NSPARK_OS_SOURCE winnt.c)
elseif (RISCOS)
	add_definitions (-DRISCOS)
	SET(NSPARK_OS_SOURCE acorn.c)
	# FIXME: The following command requires CMake 2.8.12, while our current minimum is 2.4
	add_compile_options(-mlibscl)
	SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -mlibscl")
elseif (UNIX)
	add_definitions (-DPOSIX)
	SET(NSPARK_OS_SOURCE unix.c)
endif ()

if (CMAKE_COMPILER_IS_GNUCC)
	set(CMAKE_C_FLAGS "-Wall")
endif (CMAKE_COMPILER_IS_GNUCC)

add_library (nsparklib ${NSPARK_LIB_SOURCE} ${NSPARK_OS_SOURCE})

add_executable (nspark arc.c main.c unarc.c)
target_link_libraries (nspark LINK_PUBLIC nsparklib)
install (TARGETS nspark DESTINATION bin)

add_executable (sqsh sqshmain.c unarc.c)
target_link_libraries (sqsh LINK_PUBLIC nsparklib)
install (TARGETS sqsh DESTINATION bin)

if (UNIX)
	add_subdirectory (testprog)
endif (UNIX)

install(FILES ${CMAKE_SOURCE_DIR}/man/nspark.1 DESTINATION share/man/man1)
install(FILES ${CMAKE_SOURCE_DIR}/man/sqsh.1 DESTINATION share/man/man1)
install(FILES ${CMAKE_SOURCE_DIR}/man/arcfs.5 DESTINATION share/man/man5)
install(FILES ${CMAKE_SOURCE_DIR}/man/spark.5 DESTINATION share/man/man5)

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## nspark 1.7.8B2+git20210317.cb30779

=== testprog/CMakeLists.txt ===
add_executable(testpack pack.c)
target_link_libraries (testpack nsparklib)

=== debian/changelog ===
nspark (1.7.8B2+git20210317.cb30779-2) unstable; urgency=medium

  * Rewrite description (Closes: #996472)

 -- Dave Lambley <dave@lambley.me.uk>  Thu, 14 Oct 2021 19:36:58 +0000

nspark (1.7.8B2+git20210317.cb30779-1) unstable; urgency=medium

  * Initial release (Closes: #984591)

 -- Dave Lambley <dave@lambley.me.uk>  Sat, 05 Jun 2021 18:41:17 +0100

=== debian/control ===
Source: nspark
Section: non-free/utils
Priority: optional
Maintainer: Dave Lambley <dave@lambley.me.uk>
Build-Depends: cmake, debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://github.com/mjwoodcock/nspark
Vcs-Browser: https://repo.or.cz/debian-nspark.git
Vcs-Git: https://repo.or.cz/debian-nspark.git
Rules-Requires-Root: no
XS-Autobuild: yes

Package: nspark
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unarchiver for Spark and ArcFS files
 nspark "New Spark unarchiver" supports extracting from Spark and ArcFS files,
 which originate on RISC OS. It is a cross platform rewrite of David Pilling's
 original !Spark for RISC OS.
# "!Spark" (with exclamation mark prefix) used for consistency with nspark's
# documentation.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.7.8B2+git%cd.%h" \
https://github.com/mjwoodcock/nspark \
HEAD debian uupdate
